import { jsx } from "react/jsx-runtime";
import { HeartHalf as HeartHalf$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HeartHalf = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "HeartHalf", ...props, children: /* @__PURE__ */ jsx(HeartHalf$1, { weight: variant }) });
  }
);
HeartHalf.displayName = "HeartHalf";
Object.assign(HeartHalf, { isGdsIcon: true });
export {
  HeartHalf
};
